Subject: Re: Bug#264021: man page of dpkg-reconfigure needs to be clarify (--frontend option)

From: Sébastien GALLET <[email-masked]>
Date: Fri, 06 Aug 2004 23:20:37 +0200

Joey Hess a écrit :

>Sébastien GALLET wrote:
>  
>
>>I've got several problem when installing debian with fai (using 
>>non-interactive mode). This week, i've submit two bugs for packages that 
>>asks for parameters in non-interactive mode:
>>One has been accepted and next release will fix that.
>>    
>>
>
>What are you trying to do, get packages to somehow check for
>noninteractive mode themselves and not ask questions? That would be
>broken.
>
>  
>
just try to correct bugs  ...
Until now, when I've got a bug when configurung a package, I submit a 
bug to the package not to debconf
What should I do ???

>>The second has refused with this explications : 
>>
>>This is intended behaviour, and all debconf'ed packages behave the
>>same. Please regard the manpage of dpkg-reconfigure:
>>
>> "Note that if you normally have debconf set to use the
>> noninteractive frontend, dpkg-reconfigure will use the dialog
>> frontend instead, so you actually get to reconfigure the package."
>>
>>But after my mails, the package maintainer doesn't know.
>>
>>So, does the note above apply to the dpkg-reconfigure debconf command or 
>>to the all --frontend option.
>>    
>>
>
>The reason it's in the dpkg-reconfigure man page, and the reason it says
>dpkg-reconfigure will do it is because only dpkg-reconfigure does this.
>
>  
>
Try to explain again
When configuring a package in non-interactive mode, it's possible that 
configuration scripts break the non-interactive mode to asks for 
parameters in dialog mode ?

>(FWIW, the next release of debconf will fix bug #263398.)
>
>  
>
Sorry for speaking english so badly